%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate resctrlfs

Name:           rust-resctrlfs
Version:        0.8.1
Release:    2%{?dist}
Summary:        A crate for reading resctrl fs data

License:        Apache-2.0
URL:            https://crates.io/crates/resctrlfs
Source0:         %{crates_source}
Patch:          resctrlfs-fix-metadata.diff

ExcludeArch:    %{arm32} %{ix86}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A crate for reading resctrl fs data.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.8.1-2
- Rebuilt for loongarch64

* Sat Jun 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-1
- initial build
